Skip to content
ShopAssist Docs
APIAPI referenceConversations

List Csat

CSAT ratings (newest first).

GET/v1/stores/{store_id}/csatScope conversations:read

CSAT ratings (newest first).

Parameters

Parameters of List Csat
NameInTypeDescription
store_idrequiredpathstring
limitqueryintegerPage size
cursorquerystring | nullCursor from the previous page

Example request

curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/csat" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"

Response 200 (Page_CsatEntry_)

Response of List Csat
FieldTypeDescription
datarequiredCsatEntry[]
data[].commentrequiredstring | null
data[].conversation_idrequiredstringpattern `^conv_[0-9a-hjkmnp-tv-z]{26}$`
data[].created_atrequiredstringformat date-time
data[].idrequiredstringpattern `^csat_[0-9a-hjkmnp-tv-z]{26}$`
data[].scorerequiredinteger≥ 1 · ≤ 5
has_morerequiredboolean
next_cursorrequiredstring | nullOpaque cursor for the next page; null on the last page
{
  "data": [
    {
      "comment": "string",
      "conversation_id": "conv_01j8000000e008000000000000",
      "created_at": "2026-09-28T10:15:30.123Z",
      "id": "csat_01j8000000e008000000000000",
      "score": 1
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}

Errors

Every error uses the error envelope; the code field is stable.

  • 400 Bad Request
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not Found
  • 422 Unprocessable Content
  • 429 Too Many Requests

Last updated on